package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.UserRechargeWhiteAddParam;
import com.zanxiang.game.module.manage.pojo.params.UserRechargeWhiteListParam;
import com.zanxiang.game.module.manage.pojo.vo.UserRechargeWhiteVO;
import com.zanxiang.game.module.mybatis.entity.UserRechargeWhite;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2025-05-13
 * @description : 玩家充值白名单
 */
public interface IUserRechargeWhiteService extends IService<UserRechargeWhite> {

    Map<Long, String> rechargeWhiteGameMap();

    boolean addRechargeWhite(UserRechargeWhiteAddParam param);

    IPage<UserRechargeWhiteVO> listOfPage(UserRechargeWhiteListParam param);

    boolean delRechargeWhite(Long id);
}
